> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeplo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET List Groups

> Retrieve contact groups.

## List Groups

`GET /api/groups`

Retrieve all contact groups with member counts.

### Headers

**Cookie** `string` *required*

Session cookie (login via POST /api/auth/login)

```bash cURL theme={null}
curl https://zeplo.ai/api/groups \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```

```json Response theme={null}
{
  "success": true,
  "data": [
    {
      "id": 1,
      "name": "Customers",
      "description": "Active customers",
      "contactCount": 500,
      "createdAt": "2026-01-01T08:00:00Z"
    },
    {
      "id": 2,
      "name": "VIP",
      "description": "VIP customers",
      "contactCount": 50,
      "createdAt": "2026-01-01T08:00:00Z"
    }
  ]
}
```

***

## Get contact counts per group

`GET /api/groups/contact-counts`

Retrieve the number of contacts in each group.

```bash cURL theme={null}
curl https://zeplo.ai/api/groups/contact-counts \
  -H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw"
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.